PgBeam Docs
Platform

List available regions

Returns all active data plane regions.

At a glance

ItemValue
MethodGET
Path/v1/regions
AuthAuthorization: Bearer <token-or-api-key>

Quick request

Use this as a starting point. Replace the placeholder IDs and set PGBEAM_TOKEN if the endpoint requires auth.

curl -X GET \
  "$PGBEAM_API_URL/v1/regions" \
  -H "Authorization: Bearer $PGBEAM_TOKEN"
GET
/v1/regions
AuthorizationBearer <token>

JWT issued by Better Auth. Verified via JWKS.

In: header

Response Body

application/json

application/json

application/json

curl -X GET "https://api.pgbeam.com/v1/regions"
{
  "regions": [
    {
      "id": "us-east-1",
      "name": "US East (N. Virginia)",
      "provider": "aws",
      "status": "active",
      "available": true,
      "continent": "string",
      "country": "string"
    }
  ]
}
{
  "error": {
    "code": "string",
    "message": "string"
  }
}
{
  "error": {
    "code": "string",
    "message": "string"
  }
}